%define major 4
%define libname %mklibname burn %{major}
%define develname %mklibname burn -d

Summary:	Library for reading, mastering and writing optical discs
Name:		libburn
Version:	1.2.8
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		http://libburnia-project.org/
Source0:	http://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
BuildRequires:	doxygen
BuildRequires:	graphviz

%description
Libburn is an open-source library for reading, mastering and writing
optical discs.

%package -n %{libname}
Group:		System/Libraries
Summary:	An open-source library for optical discs

%description -n %{libname}
An open-source library for reading, mastering and writing optical discs.

%package -n %{develname}
Summary:	Header files for development with %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}burn6-devel

%description -n %{develname}
This package includes the header files for the %{name} package.

%package -n cdrskin
Summary:	Limited cdrecord compatibility wrapper for libburn
Group:		Archiving/Cd burning

%description -n cdrskin
A limited cdrecord compatibility wrapper which allows to use some
libburn features from the command line.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# build documentation
pushd doc
doxygen -u doxygen.conf
doxygen doxygen.conf
popd

# don't ship .a, .la
find %{buildroot} -name '*.a' | xargs rm -f
find %{buildroot} -name '*.la' | xargs rm -f

%files -n %{libname}
%{_libdir}/libburn.so.%{major}*

%files -n %{develname}
%doc README AUTHORS COPYRIGHT
%{_libdir}/libburn.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}

%files -n cdrskin
%doc cdrskin/README
%{_bindir}/cdrskin
%{_mandir}/man1/cdrskin.1.*


%changelog

* Sun Apr 07 2013 dams <dams> 1.2.8-1.mga3
+ Revision: 408661
- new version 1.2.8

* Thu Jan 17 2013 dams <dams> 1.2.6-1.mga3
+ Revision: 389214
- new version 1.2.6

* Sat Jan 12 2013 umeabot <umeabot> 1.2.4-2.mga3
+ Revision: 356883
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 dams <dams> 1.2.4-1.mga3
+ Revision: 274965
- new version 1.2.4

* Fri Jun 01 2012 dams <dams> 1.2.2-1.mga3
+ Revision: 252644
- new version 1.2.2

* Mon Mar 05 2012 fwang <fwang> 1.2.0-1.mga2
+ Revision: 218306
- new version 1.2.0

* Sun Nov 27 2011 tv <tv> 1.1.8-1.mga2
+ Revision: 172602
- new release

* Sun Oct 02 2011 fwang <fwang> 1.1.6-1.mga2
+ Revision: 150827
- new version 1.1.6

  + tv <tv>
    - new release

* Thu Jul 14 2011 fwang <fwang> 1.1.0-1.mga2
+ Revision: 123971
- new version 1.1.0

* Sat Feb 19 2011 ahmad <ahmad> 0.8.6-2.mga1
+ Revision: 54306
- drop old/unneeded scriptlets
- don't ship .a, .la
- imported package libburn


* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 0.8.6-1mdv2011.0
+ Revision: 579314
- new version 0.8.6

* Sun Jul 11 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.4-1mdv2011.0
+ Revision: 550912
- update to new version 0.8.4

* Sat Apr 10 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-1mdv2010.1
+ Revision: 533560
- update to new version 0.8.0

* Sun Jan 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.6-1mdv2010.1
+ Revision: 495604
- update to new version 0.7.6

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.2-1mdv2010.1
+ Revision: 462502
- update to new version 0.7.2

* Fri Aug 28 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.0-1mdv2010.0
+ Revision: 422032
- update to new version 0.7.0

* Tue Jul 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.8-1mdv2010.0
+ Revision: 396040
- update to new version 0.6.8

* Sat Jun 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.6-1mdv2010.0
+ Revision: 383235
- update to new version 0.6.6

* Sat Feb 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-1mdv2009.1
+ Revision: 343629
- update to new version 0.6.2

* Tue Jan 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2009.1
+ Revision: 328813
- fix doxygen call
- update to new version 0.6.0

* Mon Dec 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.8-1mdv2009.1
+ Revision: 311922
- update to new version 0.5.8

* Fri Nov 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.6-1mdv2009.1
+ Revision: 307473
- update to new version 0.5.6
- fix urls
- spec file clean

* Tue Oct 14 2008 Funda Wang <fwang@mandriva.org> 0.5.4-1mdv2009.1
+ Revision: 293511
- New version 0.5.4
- no need to provide libburn-5 now

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.4.6-2mdv2009.0
+ Revision: 267804
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 13 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.6-1mdv2009.0
+ Revision: 206525
- new release 0.4.6

* Thu Apr 17 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.4-1mdv2009.0
+ Revision: 195306
- symlink libburn-1.pc to libburn-5.pc (brasero expects the latter)
- new release 0.4.4

* Thu Feb 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.2-1mdv2008.1
+ Revision: 176471
- new release 0.4.2

* Tue Jan 15 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.0-1mdv2008.1
+ Revision: 152997
- move docs out of lib package
- spec clean
- new license policy
- new release 0.4.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 31 2007 Adam Williamson <awilliamson@mandriva.org> 0.3.8-1mdv2008.0
+ Revision: 57132
- new release 0.3.8

* Sun Jul 01 2007 Adam Williamson <awilliamson@mandriva.org> 0.3.6-1mdv2008.0
+ Revision: 46846
- new release 0.3.6, new devel policy


* Mon Jan 15 2007 Michael Scherer <misc@mandriva.org> 0.2.6.3-1mdv2007.0
+ Revision: 109039
- update to 0.2.6.3, thanks to Mario Danic patch
- Import libburn

